﻿<!-- templates/home.html -->
{% extends 'base.html' %}

{% block title %} 主页 {% endblock %}

{% block head %}
{{ super() }}
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<main class="main-content">
	<section class="section-featured-products">
		<div class="container">
			<div class="section-title text-center">
				{% if product %}
				<h2 class="h3 section-title__heading">商品概览</h2>
				{% else %}
				<h2 class="h3 section-title__heading">暂时还没有商品</h2>
				{% endif %}
			</div>

			<div id="hero-slider" class="hero-slider slider js-hero-slider">
				{% for prod in list %}

				<div class="slider-item" style="background-image: url({{ url_for('static',filename=prod.img) }}); ">
					<div class="slider-item-inner">
						<center>
							<div class="hero-slider__btn">
								<a href="{{url_for('Check_store.show_prod',key_word=0,prod_id=prod.id)}}"
									class=" btn btn-primary btn-lg">shop now</a>

							</div>
						</center>
					</div>
				</div>

				{% endfor %}
			</div>
			{% if product %}
			<br>
			<br>
			<div class="section-title text-center">
				<h2 class="h3 section-title__heading">全部商品</h2>
			</div>
			{% endif %}
			<ul class="products featured-products columns-4">
				{% for prod in page_product %}
				{% if prod.identity_ok %}
				<li class="product">
					<div class="product-thumb">
						<a href="{{url_for('Check_store.show_prod',key_word=0,prod_id=prod.id)}}" class="product-thumb__link">
							<div class="procDisplay">
								<img src="{{ url_for('static',filename=prod.img) }}" alt="">
							</div>
							<span class="btn btn-outline-light shop-link">Detail</span>
						</a>
					</div>
					<div class="product-title"><a
							href="{{url_for('Check_store.show_prod',key_word=0,prod_id=prod.id)}}">商品名称：{{prod.name}}</a>
					</div>
					<div class="price">
						<span class="amount">价格：{{prod.price}}</span>
					</div>
				</li>
				{% endif %}
				{% endfor %}
			</ul>
	</section>
	<!-- 这个sec下是页码的显示 -->
	<section class="section-featured-products">
		<div class="container">
			<div class="section-title text-center">

				{% if paginate.pages %}
				{% if paginate.has_prev %}
				<a href="/?page={{ paginate.prev_num }}"><b>上一页</b></a>
				{% endif %}
				<b>页码：</b>
				{% for i in paginate.iter_pages() %}
				<a href="/?page={{ i }} "><span style="color:rgb(121, 160, 233)">{{ i }}</span></a>
				{% endfor %}

				{% if paginate.has_next %}
				<a href="/?page={{ paginate.next_num }}"><b>下一页</b></a>
				{% endif %}
				</br>
				<b>当前页：{{ paginate.page }} &nbsp&nbsp&nbsp&nbsp 总页数：{{ paginate.pages }}</b>
				{% endif %}
			</div>
		</div>
	</section>
</main> <!-- end of main -->
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}